Qt 5.11 | Qt 3D | C++ Classes | QProximityFilter

Qt 5.11.3 Reference Documentation

# QProximityFilter Class

(Qt3DRender::QProximityFilter)

Select entities which are within a distance threshold of a target entity. More...

Header: | #include <QProximityFilter>
qmake: | QT += 3drender
Since: | Qt 5.10
Instantiated By: | ProximityFilter
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Properties

- distanceThreshold : float
- entity : Qt3DCore::QEntity*

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QProximityFilter(Qt3DCore::QNode *parent = nullptr)
float | distanceThreshold() const
Qt3DCore::QEntity * | entity() const

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDistanceThreshold(float distanceThreshold)
void | setEntity(Qt3DCore::QEntity *entity)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | distanceThresholdChanged(float distanceThreshold)
void | entityChanged(Qt3DCore::QEntity *entity)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QFrameGraphNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Select entities which are within a distance threshold of a target entity.

A Qt3DRender::QProximityFilter can be used to select entities to render when they are placed within a given distance threshold of another entity.

## Property Documentation

### distanceThreshold : float

Holds the distance to the target entity above which entities are filtered out.

Access functions:

float | distanceThreshold() const
void | setDistanceThreshold(float distanceThreshold)

Notifier signal:

void | distanceThresholdChanged(float distanceThreshold)

### entity : Qt3DCore::QEntity*

Holds the entity against which we should compare the distance to.

Access functions:

Qt3DCore::QEntity * | entity() const
void | setEntity(Qt3DCore::QEntity *entity)

Notifier signal:

void | entityChanged(Qt3DCore::QEntity *entity)

## Member Function Documentation

### QProximityFilter::QProximityFilter(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QProximityFilter.